Name:    skymaker
Version: 3.10.5
Release: %mkrel 11
Summary: Image simulation

Group:   Sciences/Astronomy
License: GPLv3
URL:     https://www.astromatic.net/software/%{name}
Source0: https://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz
Patch0:  skymaker-fix-build-with-gcc15.patch

BuildRequires: fftw-devel

%description
SkyMaker is a program that simulates astronomical images. It accepts
object lists in ASCII generated by the Stuff program to produce
realistic astronomical fields. SkyMaker is part of the EFIGI
development project.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi
CFLAGS="%{optflags} -fcommon"
%configure
%make_build

%install
%make_install

%files
%{_bindir}/sky
%{_mandir}/man?/sky.*
%{_datadir}/skymaker/sample.list


%changelog
* Tue May 27 2025 ns80 <ns80> 3.10.5-11.mga10
+ Revision: 2186717
- try to fix building with GCC 15

* Thu Mar 31 2022 umeabot <umeabot> 3.10.5-10.mga9
+ Revision: 1837717
- Mageia 9 Mass Rebuild

* Tue Jun 09 2020 joequant <joequant> 3.10.5-9.mga8
+ Revision: 1591450
- fix for gcc10

* Fri Feb 14 2020 umeabot <umeabot> 3.10.5-8.mga8
+ Revision: 1517056
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.10.5-7.mga7
+ Revision: 1301059
- Mageia 7 Mass Rebuild

* Sun Jul 08 2018 wally <wally> 3.10.5-6.mga7
+ Revision: 1242614
- fix build on aarch64
- use new make macros
- don't hard code man page extensions

* Fri Feb 05 2016 umeabot <umeabot> 3.10.5-5.mga6
+ Revision: 937636
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 3.10.5-4.mga6
+ Revision: 937183
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.10.5-3.mga5
+ Revision: 748567
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.10.5-2.mga5
+ Revision: 689188
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 eatdirt <eatdirt> 3.10.5-1.mga5
+ Revision: 642023
- Upgrade to version 3.10.5

* Sat Oct 19 2013 umeabot <umeabot> 3.3.3-2.mga4
+ Revision: 530630
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 joequant <joequant> 3.3.3-1.mga4
+ Revision: 454030
- imported package skymaker

